package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 冷却系统参数对象 ems_cooling_data
 *
 * @author xzzn
 * @date 2025-09-26
 */
public class EmsCoolingData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** 系统名称，如1#液冷 */
    @Excel(name = "系统名称，如1#液冷")
    private String systemName;

    /** 工作模式：0-正常 1-停止 */
    @Excel(name = "工作模式：0-正常 1-停止")
    private String workMode;

    /** 当前温度 (℃) */
    @Excel(name = "当前温度 (℃)")
    private BigDecimal currentTemperature;

    /** 制热开启点 (℃) */
    @Excel(name = "制热开启点 (℃)")
    private BigDecimal heatingStartPoint;

    /** 制冷开启点 (℃) */
    @Excel(name = "制冷开启点 (℃)")
    private BigDecimal coolingStartPoint;

    /** 高温告警点 (℃) */
    @Excel(name = "高温告警点 (℃)")
    private BigDecimal highTempAlarmPoint;

    /** 制热停止点 (℃) */
    @Excel(name = "制热停止点 (℃)")
    private BigDecimal heatingStopPoint;

    /** 制冷停止点 (℃) */
    @Excel(name = "制冷停止点 (℃)")
    private BigDecimal coolingStopPoint;

    /** 低温告警点 (℃) */
    @Excel(name = "低温告警点 (℃)")
    private BigDecimal lowTempAlarmPoint;

    /** 供水温度 */
    @Excel(name = "供水温度")
    private BigDecimal gsTemp;

    /** 回水温度 */
    @Excel(name = "回水温度")
    private BigDecimal hsTemp;

    /** 供水压力 */
    @Excel(name = "供水压力")
    private BigDecimal gsPressure;

    /** 回水压力 */
    @Excel(name = "回水压力")
    private BigDecimal hsPressure;

    /** 冷源水温度 */
    @Excel(name = "冷源水温度")
    private BigDecimal lysTemp;

    /** VB01开度 */
    @Excel(name = "VB01开度")
    private BigDecimal vb01Kd;

    /** VB02开度 */
    @Excel(name = "VB02开度")
    private BigDecimal vb02Kd;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public void setSystemName(String systemName)
    {
        this.systemName = systemName;
    }

    public String getSystemName()
    {
        return systemName;
    }

    public void setWorkMode(String workMode)
    {
        this.workMode = workMode;
    }

    public String getWorkMode()
    {
        return workMode;
    }

    public void setCurrentTemperature(BigDecimal currentTemperature)
    {
        this.currentTemperature = currentTemperature;
    }

    public BigDecimal getCurrentTemperature()
    {
        return currentTemperature;
    }

    public void setHeatingStartPoint(BigDecimal heatingStartPoint)
    {
        this.heatingStartPoint = heatingStartPoint;
    }

    public BigDecimal getHeatingStartPoint()
    {
        return heatingStartPoint;
    }

    public void setCoolingStartPoint(BigDecimal coolingStartPoint)
    {
        this.coolingStartPoint = coolingStartPoint;
    }

    public BigDecimal getCoolingStartPoint()
    {
        return coolingStartPoint;
    }

    public void setHighTempAlarmPoint(BigDecimal highTempAlarmPoint)
    {
        this.highTempAlarmPoint = highTempAlarmPoint;
    }

    public BigDecimal getHighTempAlarmPoint()
    {
        return highTempAlarmPoint;
    }

    public void setHeatingStopPoint(BigDecimal heatingStopPoint)
    {
        this.heatingStopPoint = heatingStopPoint;
    }

    public BigDecimal getHeatingStopPoint()
    {
        return heatingStopPoint;
    }

    public void setCoolingStopPoint(BigDecimal coolingStopPoint)
    {
        this.coolingStopPoint = coolingStopPoint;
    }

    public BigDecimal getCoolingStopPoint()
    {
        return coolingStopPoint;
    }

    public void setLowTempAlarmPoint(BigDecimal lowTempAlarmPoint)
    {
        this.lowTempAlarmPoint = lowTempAlarmPoint;
    }

    public BigDecimal getLowTempAlarmPoint()
    {
        return lowTempAlarmPoint;
    }

    public void setGsTemp(BigDecimal gsTemp)
    {
        this.gsTemp = gsTemp;
    }

    public BigDecimal getGsTemp()
    {
        return gsTemp;
    }

    public void setHsTemp(BigDecimal hsTemp)
    {
        this.hsTemp = hsTemp;
    }

    public BigDecimal getHsTemp()
    {
        return hsTemp;
    }

    public void setGsPressure(BigDecimal gsPressure)
    {
        this.gsPressure = gsPressure;
    }

    public BigDecimal getGsPressure()
    {
        return gsPressure;
    }

    public void setHsPressure(BigDecimal hsPressure)
    {
        this.hsPressure = hsPressure;
    }

    public BigDecimal getHsPressure()
    {
        return hsPressure;
    }

    public void setLysTemp(BigDecimal lysTemp)
    {
        this.lysTemp = lysTemp;
    }

    public BigDecimal getLysTemp()
    {
        return lysTemp;
    }

    public void setVb01Kd(BigDecimal vb01Kd)
    {
        this.vb01Kd = vb01Kd;
    }

    public BigDecimal getVb01Kd()
    {
        return vb01Kd;
    }

    public void setVb02Kd(BigDecimal vb02Kd)
    {
        this.vb02Kd = vb02Kd;
    }

    public BigDecimal getVb02Kd()
    {
        return vb02Kd;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("systemName", getSystemName())
                .append("workMode", getWorkMode())
                .append("currentTemperature", getCurrentTemperature())
                .append("heatingStartPoint", getHeatingStartPoint())
                .append("coolingStartPoint", getCoolingStartPoint())
                .append("highTempAlarmPoint", getHighTempAlarmPoint())
                .append("heatingStopPoint", getHeatingStopPoint())
                .append("coolingStopPoint", getCoolingStopPoint())
                .append("lowTempAlarmPoint", getLowTempAlarmPoint())
                .append("gsTemp", getGsTemp())
                .append("hsTemp", getHsTemp())
                .append("gsPressure", getGsPressure())
                .append("hsPressure", getHsPressure())
                .append("lysTemp", getLysTemp())
                .append("vb01Kd", getVb01Kd())
                .append("vb02Kd", getVb02Kd())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .toString();
    }
}
